#!/bin/bash

if [ "$1" != "run" ]; then
	nasm -fbin bootloader.nasm -o bootloader.bin
	nasm -fbin kernel.nasm -o kernel.bin
	cat bootloader.bin kernel.bin > SingOS.img
fi

if [ "$1" != "make" ]; then
    #qemu-system-x86_64 -drive format=raw,file=SingOS.img 
	#qemu-system-x86_64 -hda SingOS.img 
    qemu-system-x86_64 -drive index=0,if=floppy,format=raw,file=SingOS.img 
fi

echo "Done"

